this.name = "demand_driven_economy";
this.author = "Redspear";
this.copyright = "2024 Redspear";
this.licence = "CC BY-NC-SA 4.0";
this.description = "Import demand by economy type";
this.version = "1.6";

"use strict";

// Galactic Charts

this.guiScreenChanged = function () {//	a little in game clue/flavour with some variance thrown in
	if (guiScreen === "GUI_SCREEN_SYSTEM_DATA") {
		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 0) {	//  rich industrial
			//	dangerous systems
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 36) {	
				mission.addMessageText("Reliable forms of investment are much sought after by discerning buyers.");
				mission.addMessageText("Demands: Gold; Furs; Gem Stones; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 72) {
				mission.addMessageText("When you're already rich, it's not what you have in the bank but what you have in your vault.");
				mission.addMessageText("Demands: Gold; Furs; Gem Stones; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 108) {
				mission.addMessageText("Rich systems are seldom this politically unstable. Some are preparing for the bubble to burst.");
				mission.addMessageText("Demands: Gold; Furs; Gem Stones; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 144) {
				mission.addMessageText("Gold and gems are always valued here. A little 'political insurance' remains popular.");
				mission.addMessageText("Demands: Gold; Furs; Gem Stones; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 180) {
				mission.addMessageText("When the political climate is a little more 'fluid' then real wealth isn't really measured in credits anymore, or at least not for long.");
				mission.addMessageText("Demands: Gold; Furs; Gem Stones; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 216) {
				mission.addMessageText("'Is this what rich industry leads to? Is this the model to which so many aspire?' Friedrich Bengals, Feline philosopher.");
				mission.addMessageText("Demands: Gold; Furs; Gem Stones; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("There's a sense of boom soon turning to bust here and the vultures are starting to hover. Some avian comentators have objected to that analogy.");
				mission.addMessageText("Demands: Gold; Furs; Gem Stones; Liquor/Wines.");
			}
			//	dictatorships
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 64) {
				mission.addMessageText("Wealth equals status here and those who have it like to flaunt it.");	
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 128) {
				mission.addMessageText("Visitors wishing to be taken seriously are advised to dress the part before disembarking.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 192) {
				mission.addMessageText("'Our glorius leader drinks only the finest wines and wears the finest clothes'. Luckily for traders, plenty of the locals have the ambition to do likewise.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3) {
				mission.addMessageText("Rich, industrial dictatorships are some of the most exploitative systems you'll find anywhere.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			//	communists
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 64) {
				mission.addMessageText("Feline and Rodent visitors alike occasionally react with some alarm upon witnessing the local fashions.");	
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 128) {
				mission.addMessageText("Fashion seldom did care about the weather; the splendid, planet-side Enviro-Domes finally make such a sentiment seem wise.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 192) {
				mission.addMessageText("'The people shall be clothed in finery and drink from the sweetest vines. Such will be their rewards for their labour.' Planetary motto (party approved).");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4) {
				mission.addMessageText("'Communism can work! Communism does work!', so says the government.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			//	confederacies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 64) {
				mission.addMessageText("Without the more mundane cares of day to day survival, vanity is everywhere.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 128) {
				mission.addMessageText("Ostentatious displays of wealth are not uncommon here.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 192) {
				mission.addMessageText("Confederate folks don't agree on everything but they can tell a Wompom pelt from an oil rag.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4) {
				mission.addMessageText("Hard work made this place what it is today. Hard work and a dash of xenophobia.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			// democracies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 64) {
				mission.addMessageText("Highly successful, industrial systems are home to many prosperous citizens.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 128) {
				mission.addMessageText("Millenium Wompom Pelts once sold massively here. Customer choice may be more varied now but the demand remains.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 192) {
				mission.addMessageText("'Judge a pet by it's coat, a fellow by his jacket and a candidate by his fur.' So they say here at least.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6) {
				mission.addMessageText("Some say that these systems are the shining example, some that they are lucky, and some that they are the reason other systems are poor.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			// corporates
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 64) {
				mission.addMessageText("Exotic pelts from across the galaxy often find their way to this system's various boutiques and outlets.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 128) {
				mission.addMessageText("Here is a wealthy, modern success story. Expendable income demands expensive non-essentials.");
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 192) {
				mission.addMessageText("Propaganda never tasted so good.");	
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
			else {mission.addMessageText("You can buy almost anything here but most prized of all are the best furs and wines from across the eight.");	
				mission.addMessageText("Demands: Furs; Liquor/Wines; Radioactives; Textiles.");
			}
		}

		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 1) {	//	average industrial
			//	dangerous systems
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 36) {	
				mission.addMessageText("Dreaming of 'making it big' is the norm here.");
				mission.addMessageText("Demands: Narcotics; Furs; Gold; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 72) {
				mission.addMessageText("This planet is also mildly well known for the local tendency to lead a double-life.");
				mission.addMessageText("Demands: Narcotics; Furs; Gold; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 108) {
				mission.addMessageText("Locals often like to have a hidden cache of something valuable, or illegal, or both.");
				mission.addMessageText("Demands: Narcotics; Furs; Gold; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 144) {
				mission.addMessageText("As systems struggle to be competitive, the pressure and relative affluence can lead to a significant rise in the use of narcotics.");
				mission.addMessageText("Demands: Narcotics; Furs; Gold; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 180) {
				mission.addMessageText("The endless grind of trying to get ahead drives many workers to distraction.");
				mission.addMessageText("Demands: Narcotics; Furs; Gold; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 216) {
				mission.addMessageText("Average industrial, below average life expectancy.");
				mission.addMessageText("Demands: Narcotics; Furs; Gold; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("'I'm an industrialist too. It's just that you choose to call my industry piracy.' Famous ...industrialist (deceased).");
				mission.addMessageText("Demands: Narcotics; Furs; Gold; Liquor/Wines.");
			}
			// dictatorships
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 64) {
				mission.addMessageText("Bars of all kinds serve to distract the typical citizen from the daily grind of industrialised life.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 128) {
				mission.addMessageText("Locals like to unwind after a tough work cycle and distractions are imported from across the sector.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 192) {
				mission.addMessageText("Citizens are reluctant to complain about their 'Glorius Leader', at least until they've had enough to drink.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3) {
				mission.addMessageText("'Give the people what they want. Just make damn sure they regret wanting it and they'll soon fall in line.' Lepidopterous Ceaser, Insect ruler.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			// communists
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 85) {
				mission.addMessageText("High levels of industry can take its toll upon a workforce.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 170) {
				mission.addMessageText("The typical citizen works long shifts for moderate pay. Doing better than most doesn't always make folks happy.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4) {
				mission.addMessageText("No one drinks like a communist drinks. Or at least that's what many say after visiting this system.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4) {
				mission.addMessageText("'Do as I say, not as I do is something I would never promote. It's do as I say that I do, completely different.' Mouse Zedong, Rodent leader.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			// confederacies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 64) {
				mission.addMessageText("There is a long-standing tradition of local drinking songs but little consensus on what the words of any one of them might be.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 128) {
				mission.addMessageText("Be they exotic spirits from otherworldly fauna or cheaply imported gutrot, there's a market for them here.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 192) {
				mission.addMessageText("Traders who don't like to drink seldom strike a good deal in this system.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5) {
				mission.addMessageText("You will never find a more wretched hive of lawyers and bureaucracy.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			// democracies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 85) {
				mission.addMessageText("The grind of the rat-race can even get the rodents down sometimes. There's a high demand for escapism here.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 170) {
				mission.addMessageText("Worlds like this one made the galaxy what is is today. Perhaps we chose the wrong model.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6) {
				mission.addMessageText("A bewildering array of choice exists around drinking culture here. Vinyard based snobbery is widespread.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6) {
				mission.addMessageText("Average industrial: plagued by the managerial.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			// corporates
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 64) {
				mission.addMessageText("You may have heard that drinking is bad for you. You won't hear it here.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 128) {
				mission.addMessageText("'You deserve a Stiff One!', was a popular advertising slogan from cycles past that found it's way into the local lexicon.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 192) {
				mission.addMessageText("GalCop is proud of systems like this one, as any visitor is told again and again.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
			else {mission.addMessageText("Quraveian Aron water, Soteraian lethal brandy and Teveriian evil juice are all very popular here.");
				mission.addMessageText("Demands: Liquor/Wines; Furs; Radioactives; Textiles.");
			}
		}

		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 2) {	//	poor industrial
			//	dangerous systems
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 36) {	
				mission.addMessageText("Overwork is a big health problem here, as are certain means of trying to cope with it.");
				mission.addMessageText("Demands: Narcotics; Textiles; Food; Radioactives.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 72) {	
				mission.addMessageText("People are desperate to escape from here, be it literally or figuratively.");
				mission.addMessageText("Demands: Narcotics; Textiles; Food; Radioactives.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 108) {	
				mission.addMessageText("The poor idustrial: some people's idea of hell.");
				mission.addMessageText("Demands: Narcotics; Textiles; Food; Radioactives.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 144) {
				mission.addMessageText("Poor industrial economies are built upon the backs of an even poorer workforce.");
				mission.addMessageText("Demands: Narcotics; Textiles; Food; Radioactives.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 180) {
				mission.addMessageText("GalCop has expressed considerable concern over such systems. Cynics say is it to protect their wider influence rather than the citizens themselves.");
				mission.addMessageText("Demands: Narcotics; Textiles; Food; Radioactives.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 216) {
				mission.addMessageText("'Don't trade expensive trivia to a hungry world', has long been standard trading advice. Merchant visitors would do well to heed it in this case.");
				mission.addMessageText("Demands: Narcotics; Textiles; Food; Radioactives.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("Many here live desperate struggles to find enough food to feed their families while avoiding other, even more desperate, people trying to take it from them.");
				mission.addMessageText("Demands: Narcotics; Textiles; Food; Radioactives.");
			}
			// dictatorships
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 64) {
				mission.addMessageText("Low demand necessitates cheap imports, cheap labour and even cheaper employers. It's what keeps systems like this one poor.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 128) {
				mission.addMessageText("Hard work isn't just an admirable character trait here, it's the baseline for survival.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 192) {
				mission.addMessageText("'The Man' isn't just an idea here, he's actually real.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3) {
				mission.addMessageText("'We work to live. We live to work.' All hope for better for the next generation - a fact that is well understood by the resident dictator.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			// communists
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 64) {
				mission.addMessageText("After food and water, people need warmth. The raw materials of the latter are made into clothes in numerous planet-side factories.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 128) {
				mission.addMessageText("This is exactly the sort of world in which communism arises. In this case however, it's achieved very little.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 192) {
				mission.addMessageText("Great fabric mills work endlessly here, subject to adequate supply of course.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4) {
				mission.addMessageText("In a progressive move by the state, The Peoples' Textile Miller's Association was recoently replaced by The Textile Miller's Association of the People.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			// confederacies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 64) {
				mission.addMessageText("The resident industrialists make what they can in the less lucrative but more perennial forms of manufacturing.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 128) {
				mission.addMessageText("'When my frighter met its maker then I knew my race was run' was a very popular 'Planet & Tavern' song in this system.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 192) {
				mission.addMessageText("Much work for little reward is the way of life here. Cheap clothes are produced in their trillions.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5) {
				mission.addMessageText("'If it weren't for all the work then I'd sure get things done' was a very popular 'Planet & Tavern' song in this system.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			// democracies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 64) {
				mission.addMessageText("Superficially, industry is booming but profit is low. The cheap raw materials imported are only worth marginally more once processed.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 128) {
				mission.addMessageText("Ornate fabrics are produced here and, with the import of foreign textiles, make simple luxury exports.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 192) {
				mission.addMessageText("The vote here is a hard won privilage that citizens are free to waste on whichever candidate they wish.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6) {
				mission.addMessageText("Politicians don't tend to last long here. They get in on a promise which they all to soon find they can't deliver.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			// corporates
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 64) {
				mission.addMessageText("Clothing the galaxy is no small matter and it's a large part of what little income this system generates.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 128) {
				mission.addMessageText("As much as anywhere, this planet runs on credits but there just aren't enough to go around.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 192) {
				mission.addMessageText("The sheer variety of textiles that the galaxy can offer is staggering and many will find their way here to be made into clothes of one form or another.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
			else {mission.addMessageText("Cloth and ore, that's what this place runs on. If a trader can provide that then they'll do well here.");
				mission.addMessageText("Demands: Textiles; Radioactives; Liquor/Wines; Furs.");
			}
		}

		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 3) {	//	mainly industrial
			//	dangerous systems
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 36) {	
				mission.addMessageText("Many missing people end up here. With a new name (or more likely a number) and a new job but seemingly little to live for.");
				mission.addMessageText("Demands: Slaves; Radioactives; Food; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 72) {	
				mission.addMessageText("'Tourists' in this place aren't always tourists.");
				mission.addMessageText("Demands: Slaves; Radioactives; Food; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 108) {	
				mission.addMessageText("Would you like to move to a world like this one? Of course you wouldn't, no one does.");
				mission.addMessageText("Demands: Slaves; Radioactives; Food; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 144) {
				mission.addMessageText("More workers are always welcome here, seldom appreciated but always welcomed.");
				mission.addMessageText("Demands: Slaves; Radioactives; Food; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 180) {
				mission.addMessageText("It may not be wise to step out of line in a place like this. Where life is cheap troublemakers don't tend to last for very long.");
				mission.addMessageText("Demands: Slaves; Radioactives; Food; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 216) {
				mission.addMessageText("Cheap workers and cheap supplies to keep them working, that's what worlds like this one really run on.");
				mission.addMessageText("Demands: Slaves; Radioactives; Food; Liquor/Wines.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("It wasn't supposed to be like this but the harsh reality of a mainly industrial system is the need for ever cheaper labour and the means to keep them working.");
				mission.addMessageText("Demands: Slaves; Radioactives; Food; Liquor/Wines.");
			}
			// dictatorships
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 64) {
				mission.addMessageText("A world very much like this one was the site of a deadly industrial accident. The reactor where it took place is still in use.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 128) {
				mission.addMessageText("The nuclear reactor. It may seem old fashioned but it powers almost everything here.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 192) {
				mission.addMessageText("Nuclear reactors are still the typical means of power generation on mainly industrial worlds.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4) {
				mission.addMessageText("Work grants privilages here. These privilages include food and oxygen.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			// communists
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 64) {
				mission.addMessageText("The atomic age never did quite live up to all that was hoped from it. Some systems got left behind, systems like this one.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 128) {
				mission.addMessageText("The reactor isn't just a workplace here, it's an icon.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 192) {
				mission.addMessageText("You won't find them at the orbital station, planet-side visitors however can sometimes find old signs promoting nuclear energy as the planet's future.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4) {
				mission.addMessageText("'Work at the reactor, drink at the bar: pulled by a tractorbeam to the stars! Drink at the reactor, work at the bar: boom goes the tractor, boom goes my arse!'");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			// confederacies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 64) {
				mission.addMessageText("Many came here hoping for the best of both worlds, only to end up working at one of the reactors that power this often dreary place.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 128) {
				mission.addMessageText("The popular 'Planet & Tavern' song, 'I bought a Cobra mk III but it's docked at an Anarchy' was a big hit here.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 192) {
				mission.addMessageText("Lacking the infrastructure to adequately harness the power of the planet, or of the star that it orbits, this world has instead turned to the atom.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5) {
				mission.addMessageText("Industrialists complain about workers, who complain about foremen, who complain about industrialists. It's how things get done here.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			// democracies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 64) {
				mission.addMessageText("'I'm sure I've been to worse places... unfortunately they were also on this planet.' - Sample tourist review from systems with similar ratings.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 128) {
				mission.addMessageText("'Mainly industrial, mostly combustible, inclines you to test if your liver's destructible.' Sample station graffiti.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 192) {
				mission.addMessageText("This is the kind of place people escape to, trying to start a new life, only to wish that they hadn't.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6) {
				mission.addMessageText("You work in the office so that you don't have to work at the plant. You work at the plant so that rich people don't have to work in the office.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			// corporates
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 64) {
				mission.addMessageText("'The distinctive appearance of the locals is entirely unrelated to the long term and extensive use of radioactives.' Thanks for clearing that up GalCop!");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 128) {
				mission.addMessageText("The recent, 'With GalCop things are looking up!' campaign was soon abandoned when it was discovered that it spawned numerous, crude but damaging, parodies.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 192) {
				mission.addMessageText("'Cleaner Power for a Cleaner Planet', so said Cleaner Radioactive Atomic Power Inc. (C.R.A.P.) an early subsidiary of GalCop.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
			else {mission.addMessageText("'Ready Brek' was a popular grain-based food here but it's other ingredients were never revealed.");
				mission.addMessageText("Demands: Radioactives; Liquor/Wines; Textiles; Furs.");
			}
		}

		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 4) {	//	mainly agricultural
			//	dangerous systems
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 36) {
				mission.addMessageText("Mining workers here perform some of the toughest shifts throughout the eight only to receive some of the smallest rewards in the sector.");
				mission.addMessageText("Demands: Slaves; Machinery; Minerals; Computers.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 72) {
				mission.addMessageText("You probably shouldn't even be considering visiting this system.");
				mission.addMessageText("Demands: Slaves; Machinery; Minerals; Computers.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 108) {
				mission.addMessageText("Workers here are competing with machines. It's a cloase call as to which one tends to wear out first.");
				mission.addMessageText("Demands: Slaves; Machinery; Minerals; Computers.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 144) {
				mission.addMessageText("A couple of generations ago there was a big publicity drive to bring in more workers. Most of them are dead now.");
				mission.addMessageText("Demands: Slaves; Machinery; Minerals; Computers.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 180) {
				mission.addMessageText("'More work for less pay' isn't just a joke here.");
				mission.addMessageText("Demands: Slaves; Machinery; Minerals; Computers.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 216) {
				mission.addMessageText("'Rocks and Refugees: Desperate work and desperate people', was the title of a leaked GalCop report, the contents of which included mention of this system.");
				mission.addMessageText("Demands: Slaves; Machinery; Minerals; Computers.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("That some of the most valuable commodities can be found within some of the cheapest is a cruel irony that locals know all too well.");
				mission.addMessageText("Demands: Slaves; Machinery; Minerals; Computers.");
			}
			// dictatorships
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 64) {
				mission.addMessageText("The transition from manual labour to mechanisation on such worlds has left many workers worried for their futures.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 128) {
				mission.addMessageText("The line between 'worker' and 'slave' is a very fine one in systems such as this.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 192) {
				mission.addMessageText("Increasing automation is a common goal of mainly agricultural systems.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3) {
				mission.addMessageText("If the machines didn't break down so often then the Mechanics Union would be powerless. This is purely hypothetical of course as there are no unions here.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			// communists
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 64) {
				mission.addMessageText("The local word for 'modernisation', loosely translated, is also used as a slang word meaning, 'something that never happens'.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 128) {
				mission.addMessageText("Visitors often remark upon the promotion of robotics within the orbital station and the notable absence of the same on the planet itself.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 192) {
				mission.addMessageText("This system took inspiration from Lob Pot, the notorious Lobster revolutionary. He championed labour camps which came to be known as 'Lobster Traps'.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4) {
				mission.addMessageText("Locals are often mechanics, most often maintaining outdated tech.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			// confederacies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 64) {
				mission.addMessageText("Local officials often complain that it requires considerable progress just to stay this far behind.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 128) {
				mission.addMessageText("'Lost my wife to a sex-bot and my sex-bot to her son', was a big hit in the child-friendly 'Planet & Tavern' music market.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 192) {
				mission.addMessageText("'Poor agriculture in waiting' is how some of these systems are described. The desperate drive to escape that fate is palpable.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5) {
				mission.addMessageText("'I lost my lover to my brother and his robot spilled my rum' was a popular 'Planet & Tavern' song here.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			// democracies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 64) {
				mission.addMessageText("This is the kind of system that is periodically visited by senior GalCop personnel telling all that they haven't been forgotten about.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 128) {
				mission.addMessageText("The value of a democracy is that, unlike some other sytems of government, you can choose which corrupt governers you'd like.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 192) {
				mission.addMessageText("Systems like this one risk getting left behind without embracing something of industrial efficiency.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6) {
				mission.addMessageText("There's plenty of work to be had here it's just that little of it is considered either desirable or rewarding.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			// corporates
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 64) {
				mission.addMessageText("Marketing material for this system describes a swiftly modernising, developing economy.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 128) {
				mission.addMessageText("GalCop loves a good success story. This system isn't one of them.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 192) {
				mission.addMessageText("Early attempts at making work more palatable, such as the slogan 'Mining Rocks!', soon became reappropriated as 'Mining Sucks!'.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}	
			else {mission.addMessageText("'Machines need Engineers and Computers need Programmers. Have you got what it takes?' Cynics say that if you had then you'd go elsewhwere.");
				mission.addMessageText("Demands: Machinery; Computers; Alloys; Luxuries.");
			}
		}

		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 5) {	//	rich agricultural
			//	dangerous systems
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 36) {	
				mission.addMessageText("When the political climate is a little more 'fluid' then real wealth isn't really measured in credits anymore, or at least not for long.");
				mission.addMessageText("Demands: Platinum; Luxuries; Gem Stones; Computers.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 72) {	
				mission.addMessageText("'One supposes that one may need to relocate at some juncture; should the locals become too rowdy', is a commonly expressed sentiment.");
				mission.addMessageText("Demands: Platinum; Luxuries; Gem Stones; Computers.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 108) {	
				mission.addMessageText("'Gold? How quaint.' Platinum is the precious metal of choice in this area.");
				mission.addMessageText("Demands: Platinum; Luxuries; Gem Stones; Computers.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 144) {	
				mission.addMessageText("What the poor man works hardest for, the rich man adorns himself with. The two extremes of production economies in the 4th millenium.");
				mission.addMessageText("Demands: Platinum; Luxuries; Gem Stones; Computers.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 180) {	
				mission.addMessageText("Not all that glitters is gold; sometimes it's even better!");
				mission.addMessageText("Demands: Platinum; Luxuries; Gem Stones; Computers.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 216) {
				mission.addMessageText("It's not that the super rich don't appreciate gold, it's just that there are more valuable commodities to hold their interest.");
				mission.addMessageText("Demands: Platinum; Luxuries; Gem Stones; Computers.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("Rich systems are seldom this politically unstable. Reliable forms of investment are much sought after by discerning buyers.");
				mission.addMessageText("Demands: Platinum; Luxuries; Gem Stones; Computers.");
			}
			// dictatorships	
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 64) {
				mission.addMessageText("It's remarkable how often one's needs increase in direct proportion to one's wealth.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 128) {
				mission.addMessageText("'Democracy is a fallacy, socialism a fraud and fascism a religion.' so said the famous Amphibian dictator Ribbito Mussolini.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 192) {
				mission.addMessageText("One of the most exclusive holiday destinations, catering for the obscenely wealthy. They may be few but their appetites are voracious.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3) {
				mission.addMessageText("Palatial station interiors. Extravagant service provision and the occasional gold-plated Asp, all under the supervision of numerous, vigilant guards.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			// communists
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 64) {
				mission.addMessageText("Plenty of money but sometimes a little less opportunity to own the 'finer things' of consumerism.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 128) {
				mission.addMessageText("'How about... By the people, for the people?... Er, hang on a sec...' Leaked excerpt from a propaganda meeting.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 192) {
				mission.addMessageText("Affluent rural worlds are often beautiful but sometimes lack the finer components of urban convenience.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4) {
				mission.addMessageText("Luxuries sell very well here but are little evidenced by the local populace.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			// confederacies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 64) {
				mission.addMessageText("'Beautiful scenery is all well and good but what use is it if I can't enjoy a good coffee?', is often heard from visitors.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 128) {
				mission.addMessageText("'I learned to love my fellow, save the taxman that guy's scum', is the all-time best-selling 'Planet & Tavern' song on this world..");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 192) {
				mission.addMessageText("People come here for the scenery but getting the most wealthy to stay is dependant upon the regular supply of luxury items.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5) {
				mission.addMessageText("'My Fer-de-Lance may be rusty but the inside it's the bomb', is a popular 'Planet & Tavern' choice for karaoke.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			// democracies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 64) {
				mission.addMessageText("More leisure time means more advertising exposure, certainly at this system it does.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 128) {
				mission.addMessageText("'Democracy is the worst form of government, save for all the others.' Winston Hornbill, Avian politician.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 192) {
				mission.addMessageText("It is the ambition of many to one day afford to live on a world like this one. For most, such a dream will never be within their reach.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6) {
				mission.addMessageText("'Politicians need to understand (by which I mean pander to) our (by which I mean my) ways (by which I mean double-standards).' - Recent auto-translated broadcast.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			// corporates
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 64) {
				mission.addMessageText("Planet-siders are known for their love of the latest non-essentials. Advertisers exploit this trait mercilessly.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 128) {
				mission.addMessageText("The local campaign for Abstinence & Re-education of Salacious Entities (or ARSE for short) has thus far been frustrated in it's effors.");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 192) {
				mission.addMessageText("What can you get the world that has everything, when whatever it doesn't have it doesn't need? Whatever it doesn't need of course!");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
			else {mission.addMessageText("'Don't trade expensive trivia to a hungry world.' Trade it to this one instead!");
				mission.addMessageText("Demands: Luxuries; Computers; Machinery; Alloys.");
			}
		}

		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 6) {	//	average agricultural
			//	dangerous systems
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 36) {	
				mission.addMessageText("Cut-throat competition amongst farmers drives a fierce demand for 'insurance' policies of various unofficial sorts.");
				mission.addMessageText("Demands: Firearms; Computers; Platinum; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 72) {
				mission.addMessageText("Due to general instability, the ideal gift for a local farmer in these parts is said to be a 'platinum assault rifle'.");
				mission.addMessageText("Demands: Firearms; Computers; Platinum; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 108) {
				mission.addMessageText("No one starves here. A great many die but no one starves.");
				mission.addMessageText("Demands: Firearms; Computers; Platinum; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 144) {
				mission.addMessageText("Shooting games are popular with youngsters on this world... and with adults and with the elderly.");
				mission.addMessageText("Demands: Firearms; Computers; Platinum; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 180) {
				mission.addMessageText("Citizens seek to defend themselves from misfortunes both financial and physical.");
				mission.addMessageText("Demands: Firearms; Computers; Platinum; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 216) {
				mission.addMessageText("In this system, platinum doubles as a useful technological component as well as a guard against economic collapse.");
				mission.addMessageText("Demands: Firearms; Computers; Platinum; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("Crime and the war against it can easily get out of control despite GalCop's best efforts.");
				mission.addMessageText("Demands: Firearms; Computers; Platinum; Luxuries.");
			}
			// dictatorships
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 64) {
				mission.addMessageText("Sophisticated climate prediction methods are in high demand here.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 128) {
				mission.addMessageText(".");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 192) {
				mission.addMessageText("What worlds like this one lack to really be a success is the most up-to-date methods and strategies for monitoring, modelling and gene-editing crops.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3) {
				mission.addMessageText("There are three types of employee that do well here: programmers, engineers and 'yes men'.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			// communists
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 64) {
				mission.addMessageText("Farmers here are often left frustrated at the success of their richer counterparts elsewhere.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 128) {
				mission.addMessageText("'The death of one is a tragedy, the death of millions a statistic.' Jospeh Chameleon, renowned Lizard communist.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 192) {
				mission.addMessageText("Growing production economies like this one typically have good infrastructure but lack optimisation.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4) {
				mission.addMessageText("Some of the finest programmers anywhere work here, often on the networks of other systems.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			// confederacies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 64) {
				mission.addMessageText("Every average agricultural system would be rich if there weren't so many of them. Competition between them is fierce.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 128) {
				mission.addMessageText("'I could never love another cus the wife's too good a shot' was a popular 'Planet & Tavern' song in this system.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 192) {
				mission.addMessageText("Primary production requires responding to multiple variables as close to pre-emptively as possible. Any means of reliably doing so is highly valued.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5) {
				mission.addMessageText("No one here can ever forget the 'Planet & Tavern' classic, 'Oh, I forgot my password and I.T. is out to lunch'.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			// democracies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 64) {
				mission.addMessageText("There is the common belief that such systems aren't quite living up to their potential and that there is much room for growth.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 128) {
				mission.addMessageText("Stastical analysis reveals a longheld prejudice favouring shiny-toothed candidates. Avian politicians have found this to be to their diadvantage.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 192) {
				mission.addMessageText("Some see such areas as 'nearly systems' with investors scrambling to get involved in those that are just about to fulfil their potential.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6) {
				mission.addMessageText("The latest polls have it that voters want better services, more investment in industry, improved opportunities and also to pay less taxes.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			// corporates
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 64) {
				mission.addMessageText("The latest computing technology is always in demand here. It's the standard means by which such systems advance.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 128) {
				mission.addMessageText("The religious anti-swearing campaign group 'Concerns Over Coarse Kindred' (or COCK for short) have thus far been frustrated in their efforts.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 192) {
				mission.addMessageText("Aspirational workers arrive here hoping to join GalCop's Sustenance Nutrition and Food Union (S.N.A.F.U.). Longtime employees are less enthusiastic.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
			else {mission.addMessageText("'The Ma-Corn Baskets of the Eight' that feed much of the galaxy while richer neighbours farm either more profitable goods or finer quality produce.");
				mission.addMessageText("Demands: Computers; Luxuries; Machinery; Alloys.");
			}
		}

		if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).economy === 7) {	//	poor agricultural
			//	dangerous systems
			if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 36) {	
				mission.addMessageText("In other systems people fight for wealth or glory, here it's just to survive.");
				mission.addMessageText("Demands: Firearms; Alloys; Minerals; Machinery.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 72) {
				mission.addMessageText("They say, 'Happiness is a super-cooled, rapid-fire, multi-targetting assault rifle'. Almost no one can afford it but those that can tend to buy lots.");
				mission.addMessageText("Demands: Firearms; Alloys; Minerals; Machinery.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 108) {
				mission.addMessageText("Folks here love shooting tin cans... or at least they would if the tin wan't so valuable.");
				mission.addMessageText("Demands: Firearms; Alloys; Minerals; Machinery.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 144) {
				mission.addMessageText("Some survive by mining, others by farming but the smartest survive by minding their own damn business.");
				mission.addMessageText("Demands: Firearms; Alloys; Minerals; Machinery.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 180) {
				mission.addMessageText("Mining is still a thing here. It's dirty work but they're desperate enough to import minerals from which to extract tiny amounts of more valuable trace elements.");
				mission.addMessageText("Demands: Firearms; Alloys; Minerals; Machinery.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3 && player.ship.targetSystem < 216) {
				mission.addMessageText("In poor, near lawless societies, guns are the popular means of both control and rebellion.");
				mission.addMessageText("Demands: Firearms; Alloys; Minerals; Machinery.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government < 3) {
				mission.addMessageText("Not all production economies are an idyllic, pastoral paradise. Some are extraction based hell-holes, the kind that encourage dreams of a life in space.");
				mission.addMessageText("Demands: Firearms; Alloys; Minerals; Machinery.");
			}
			// dictatorships
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 64) {
				mission.addMessageText("Construction is underway to develop this system but material resources are low.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 128) {
				mission.addMessageText("'Inactivity is death.' said the famous amphibious patriarch Ribbito Mussolini. In this place it might actually be true.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3 && player.ship.targetSystem < 192) {
				mission.addMessageText("If systems like this one are going to progress then they will need to start with the basics.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 3) {
				mission.addMessageText("Revolutionary talk, around the workers rising up, often takes place here but seldom turns to action.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			// communists
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 64) {
				mission.addMessageText("It's not a lack of resources, nor is it a lack of machinery that's holding this system back, rather it's the lack of docks, adequate stores and expertise.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 128) {
				mission.addMessageText("This system is only newly communist. Time will tell if it lives up to its ideology.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4 && player.ship.targetSystem < 192) {
				mission.addMessageText("One of the poorest systems in the sector. There is a desperate need for simple construction materials.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 4) {
				mission.addMessageText("Recordings of stirring workers anthems are played at the start of each day. No one sings along.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			// confederacies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 64) {
				mission.addMessageText("Agricultural systems that are still trying to establish themselves often require basic structural components.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 128) {
				mission.addMessageText("There was never a more popular song on this world than the 'Planet & Tavern' classic, 'Even my troubles they got trumbles but the trumbles live rent free'.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5 && player.ship.targetSystem < 192) {
				mission.addMessageText("Locals are tough, hard workers by necessity. They often display the charming custom of calling off-worlders by the names of various local, delicate flowers.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 5) {
				mission.addMessageText("'Lost my dog, my home, my licence, and the wife but that's OK', is often sung loudly, just before closing time, in the local 'Planet & Tavern' bars.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			// democracies
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 64) {
				mission.addMessageText("With little in the way of mod-cons, locals tend to be rugged, unsophisticated, loner types - just the sort to annoy pampered, unsophisticated, visitor types.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 128) {
				mission.addMessageText("'Vote Maxi! Sure, he may drink like a lobster and screw like a rodent but he's vigilant like a bird and cold like a frog. Maxi - He'll put his back into it!'.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6 && player.ship.targetSystem < 192) {
				mission.addMessageText("Infrastructure. Much discussed and little evidenced.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 6) {
				mission.addMessageText("Approval ratings of successful politicians here are some of the highest in the sector... Correction: disapproval ratings are some of the highest in the sector.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			// corporates
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 64) {
				mission.addMessageText("Modern alloys are in short supply here and shipments are always welcome.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 128) {
				mission.addMessageText("'GalCop. Building Better Worlds'. That slogan was soon abandoned after it's asscoiation with a terraforming-related incident on a nearby moon.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else if (System.infoForSystem(galaxyNumber, player.ship.targetSystem).government === 7 && player.ship.targetSystem < 192) {
				mission.addMessageText("The poorer systems need basic, relatively cheap materials. In the case of an agricultural world, it's not to consume but to build.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
			else {mission.addMessageText("This is one of GalCops's 'start-up' systems, and it's starting from the very bottom.");
				mission.addMessageText("Demands: Alloys; Machinery; Computers; Luxuries.");
			}
		}
	}
}

// phkb's compatability reworking of my original code

this.startUp = function () {
	var msi = worldScripts.MarketScriptInterface_Main;
	// we want this modification to run first, before everything else, to establish the baseline
	msi.$addMarketInterface("system_local", "$updateLocalCommodity", this.name, "highest");
}

//	Market Manipulation
this.$updateLocalCommodity = function (goodDefinition, station, systemID) {
	// we want to do this at the system level
	// so, if we have been passed a station, we don't want to make changes.
	// or of we don't have a system ID, or it's -1, we don't want to make changes then either
	if (!systemID || systemID == -1 || station) return goodDefinition;

	// we're going to get the details of the system by creating our own system object
	// this is because this routine will be called whenever price estimates are requested (eg when doing trade route calcs for contracts)
	// therefore, we can't rely on the actual "system" object (ie the object for the current system) being the one the systemID is related to
	var sys = System.infoForSystem(galaxyNumber, systemID);
	var demand_mod = (sys.population - 35); // price adjustment for imports
	var supply_mod = 28 - (sys.productivity / 1000); // supply adjustment for exports
	var focus_mod = (sys.techlevel - 8) * 2; // price adjustment for exports
	var new_stock; // stocking variation
	var new_price; // price variation
	var shortage_factor; //	where there's high demand there's low supply

	if (sys.economy == 0) {    // rich industrial
		switch (goodDefinition.key) {
			case "luxuries":
			case "computers":
			case "machinery":
			case "alloys":
				new_stock = Math.floor(((Math.random() + 0.5) * 60) - supply_mod);
				if (new_stock < 0) { new_stock = 0 };
				goodDefinition.quantity = new_stock;
				break;
		}

		switch (goodDefinition.key) {
			case "luxuries":
				new_price = Math.floor(goodDefinition.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "computers":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "machinery":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "alloys":
				new_price = Math.floor(goodDefinition.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
		}

		switch (goodDefinition.key) {
			case "furs":
				new_price = Math.floor(560 + 80 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
				shortage_factor = Math.floor(goodDefinition.quantity / 12);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "liquor_wines":
				new_price = Math.floor(252 + 61 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
				shortage_factor = Math.floor(goodDefinition.quantity / 6);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "radioactives":
				new_price = Math.floor(212 + 48 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
				shortage_factor = Math.floor(goodDefinition.quantity / 3);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "textiles":
				new_price = Math.floor(64 + 32 + demand_mod + (Math.random() * (10 - 1 + 1) - 5));
				shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
		}

		if (sys.government < 3) {	//	riskier but more rewarding
			switch (goodDefinition.key) {
				case "gem_stones":
					new_price = Math.floor(164 + 144 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
					shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
				case "gold":
					new_price = Math.floor(372 + 202 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
					shortage_factor = Math.floor(goodDefinition.quantity / 3);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
			}
		}
	}

	if (sys.economy == 1) {    // average industrial
		switch (goodDefinition.key) {
			case "luxuries":
			case "computers":
			case "machinery":
			case "alloys":
				new_stock = Math.floor(((Math.random() + 0.5) * 40) - supply_mod);
				if (new_stock < 0) { new_stock = 0 };
				goodDefinition.quantity = new_stock;
				break;
		}

		switch (goodDefinition.key) {
			case "luxuries":
				new_price = Math.floor(goodDefinition.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "computers":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "machinery":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "alloys":
				new_price = Math.floor(goodDefinition.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
		}

		switch (goodDefinition.key) {
			case "furs":
				new_price = Math.floor(560 + 47 + ((Math.random() * (20 - 1 + 1)) * 4));
				shortage_factor = Math.floor(goodDefinition.quantity / 6);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "liquor_wines":
				new_price = Math.floor(252 + 60 + ((Math.random() * (20 - 1 + 1)) * 3));
				shortage_factor = Math.floor(goodDefinition.quantity / 12);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "radioactives":
				new_price = Math.floor(212 + 36 + ((Math.random() * (20 - 1 + 1)) * 2));
				shortage_factor = Math.floor(goodDefinition.quantity / 3);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "textiles":
				new_price = Math.floor(64 + 24 + (Math.random() * (20 - 1 + 1)));
				shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
		}

		if (system.government < 3) {	//	riskier but more rewarding
			switch (goodDefinition.key) {
				case "gold":
					new_price = Math.floor(372 + 107 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
					shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
				case "narcotics":
					new_price = Math.floor(1148 + 139 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
					shortage_factor = Math.floor(goodDefinition.quantity / 3);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
			}
		}
	}

	if (sys.economy == 2) {    // poor industrial
		switch (goodDefinition.key) {
			case "luxuries":
			case "computers":
			case "machinery":
			case "alloys":
				new_stock = Math.floor(((Math.random() + 0.5) * 30) - supply_mod);
				if (new_stock < 0) { new_stock = 0 };
				goodDefinition.quantity = new_stock;
				break;
		}

		switch (goodDefinition.key) {
			case "luxuries":
				new_price = Math.floor(goodDefinition.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "computers":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "machinery":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "alloys":
				new_price = Math.floor(goodDefinition.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
		}

		switch (goodDefinition.key) {
			case "furs":
				new_price = Math.floor(560 + 7 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
				shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "liquor_wines":
				new_price = Math.floor(252 + 11 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
				shortage_factor = Math.floor(goodDefinition.quantity / 3);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "radioactives":
				new_price = Math.floor(212 + 15 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
				shortage_factor = Math.floor(goodDefinition.quantity / 6);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "textiles":
				new_price = Math.floor(64 + 20 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5)));
				shortage_factor = Math.floor(goodDefinition.quantity / 12);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
		}

		if (system.government < 3) {	//	riskier but more rewarding
			switch (goodDefinition.key) {
				case "narcotics":
					new_price = Math.floor(1148 + 48 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
					shortage_factor = Math.floor(goodDefinition.quantity / 3);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
				case "food":
					new_price = Math.floor(44 + 37 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
					shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
			}
		}
	}

	if (sys.economy == 3) {    // mainly industrial
		switch (goodDefinition.key) {
			case "luxuries":
			case "computers":
			case "machinery":
			case "alloys":
				new_stock = Math.floor(((Math.random() + 0.5) * 20) - supply_mod);
				if (new_stock < 0) { new_stock = 0 };
				goodDefinition.quantity = new_stock;
				break;
		}

		switch (goodDefinition.key) {
			case "luxuries":
				new_price = Math.floor(goodDefinition.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "computers":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "machinery":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "alloys":
				new_price = Math.floor(goodDefinition.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
		}

		switch (goodDefinition.key) {
			case "furs":
				new_price = Math.floor(560 + 15 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
				shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "liquor_wines":
				new_price = Math.floor(252 + 40 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
				shortage_factor = Math.floor(goodDefinition.quantity / 6);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "radioactives":
				new_price = Math.floor(212 + 72 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
				shortage_factor = Math.floor(goodDefinition.quantity / 12);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "textiles":
				new_price = Math.floor(64 + 23 + demand_mod + (Math.random() * (10 - 1 + 1) - 5));
				shortage_factor = Math.floor(goodDefinition.quantity / 3);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
		}

		if (system.government < 3) {	//	riskier but more rewarding
			switch (goodDefinition.key) {
				case "food":
					new_price = Math.floor(44 + 54 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
					shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
				case "slaves":
					new_price = Math.floor(80 + 72 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
					shortage_factor = Math.floor(goodDefinition.quantity / 3);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
			}
		}
	}

	if (sys.economy == 4) {    // mainly agricultural
		switch (goodDefinition.key) {
			case "furs":
			case "liquor_wines":
			case "radioactives":
			case "textiles":
				new_stock = Math.floor(((Math.random() + 0.5) * 20) - supply_mod);
				if (new_stock < 0) { new_stock = 0 };
				goodDefinition.quantity = new_stock;
				break;
		}

		switch (goodDefinition.key) {
			case "furs":
				new_price = Math.floor(goodDefinition.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "liquor_wines":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "radioactives":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "textiles":
				new_price = Math.floor(goodDefinition.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
		}

		switch (goodDefinition.key) {
			case "luxuries":
				new_price = Math.floor(912 + 7 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
				shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "computers":
				new_price = Math.floor(840 + 62 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
				shortage_factor = Math.floor(goodDefinition.quantity / 6);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "machinery":
				new_price = Math.floor(560 + 112 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
				shortage_factor = Math.floor(goodDefinition.quantity / 12);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "alloys":
				new_price = Math.floor(328 + 47 + demand_mod + (Math.random() * (10 - 1 + 1) - 5));
				shortage_factor = Math.floor(goodDefinition.quantity / 3);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
		}

		if (system.government < 3) {	//	riskier but more rewarding
			switch (goodDefinition.key) {
				case "slaves":
					new_price = Math.floor(80 + 112 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
					shortage_factor = Math.floor(goodDefinition.quantity / 3);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
				case "minerals":
					new_price = Math.floor(80 + 62 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
					shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
			}
		}
	}

	if (sys.economy == 5) {    // rich agricultural
		switch (goodDefinition.key) {
			case "furs":
			case "liquor_wines":
			case "radioactives":
			case "textiles":
				new_stock = Math.floor(((Math.random() + 0.5) * 60) - supply_mod);
				goodDefinition.quantity = new_stock;
				break;
		}

		switch (goodDefinition.key) {
			case "furs":
				new_price = Math.floor(goodDefinition.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "liquor_wines":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "radioactives":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "textiles":
				new_price = Math.floor(goodDefinition.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
		}

		switch (goodDefinition.key) {
			case "luxuries":
				new_price = Math.floor(912 + 222 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
				shortage_factor = Math.floor(goodDefinition.quantity / 12);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "computers":
				new_price = Math.floor(840 + 127 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
				shortage_factor = Math.floor(goodDefinition.quantity / 6);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "machinery":
				new_price = Math.floor(560 + 97 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
				shortage_factor = Math.floor(goodDefinition.quantity / 3);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "alloys":
				new_price = Math.floor(328 + 16 + demand_mod + (Math.random() * (10 - 1 + 1) - 5));
				shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
		}

		if (system.government < 3) {	//	riskier but more rewarding
			switch (goodDefinition.key) {
				case "platinum":
					new_price = Math.floor(652 + 222 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
					shortage_factor = Math.floor(goodDefinition.quantity / 3);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
				case "gem_stones":
					new_price = Math.floor(164 + 169 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
					shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
			}
		}
	}

	if (sys.economy == 6) {    // average agricultural
		switch (goodDefinition.key) {
			case "furs":
			case "liquor_wines":
			case "radioactives":
			case "textiles":
				new_stock = Math.floor(((Math.random() + 0.5) * 40) - supply_mod);
				if (new_stock < 0) { new_stock = 0 };
				goodDefinition.quantity = new_stock;
				break;
		}

		switch (goodDefinition.key) {
			case "furs":
				new_price = Math.floor(goodDefinition.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "liquor_wines":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "radioactives":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "textiles":
				new_price = Math.floor(goodDefinition.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
		}

		switch (goodDefinition.key) {
			case "luxuries":
				new_price = Math.floor(912 + 95 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
				shortage_factor = Math.floor(goodDefinition.quantity / 6);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "computers":
				new_price = Math.floor(840 + 167 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
				shortage_factor = Math.floor(goodDefinition.quantity / 12);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "machinery":
				new_price = Math.floor(560 + 72 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
				shortage_factor = Math.floor(goodDefinition.quantity / 3);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "alloys":
				new_price = Math.floor(328 + 11 + demand_mod + (Math.random() * (10 - 1 + 1) - 5));
				shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
		}

		if (system.government < 3) {	//	riskier but more rewarding
			switch (goodDefinition.key) {
				case "firearms":
					new_price = Math.floor(704 + 167 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
					shortage_factor = Math.floor(goodDefinition.quantity / 3);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
				case "platinum":
					new_price = Math.floor(652 + 126 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
					shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
			}
		}
	}

	if (sys.economy == 7) {    // poor agricultural
		switch (goodDefinition.key) {
			case "furs":
			case "liquor_wines":
			case "radioactives":
			case "textiles":
				new_stock = Math.floor(((Math.random() + 0.5) * 30) - supply_mod);
				if (new_stock < 0) { new_stock = 0 };
				goodDefinition.quantity = new_stock;
				break;
		}

		switch (goodDefinition.key) {
			case "furs":
				new_price = Math.floor(goodDefinition.price + (focus_mod * 4) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "liquor_wines":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 3) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "radioactives":
				new_price = Math.floor(goodDefinition.price - (focus_mod * 2) + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
			case "textiles":
				new_price = Math.floor(goodDefinition.price + focus_mod + (Math.random() * (10 - 1 + 1) - 5));
				goodDefinition.price = new_price;
				break;
		}

		switch (goodDefinition.key) {
			case "luxuries":
				new_price = Math.floor(912 + 3 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
				shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "computers":
				new_price = Math.floor(840 + 23 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
				shortage_factor = Math.floor(goodDefinition.quantity / 3);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "machinery":
				new_price = Math.floor(560 + 32 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 2));
				shortage_factor = Math.floor(goodDefinition.quantity / 6);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
			case "alloys":
				new_price = Math.floor(328 + 55 + demand_mod + (Math.random() * (10 - 1 + 1) - 5));
				shortage_factor = Math.floor(goodDefinition.quantity / 12);
				goodDefinition.price = new_price;
				goodDefinition.quantity = shortage_factor;
				break;
		}

		if (system.government < 3) {	//	riskier but more rewarding
			switch (goodDefinition.key) {
				case "firearms":
					new_price = Math.floor(704 + 55 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 4));
					shortage_factor = Math.floor(goodDefinition.quantity / 3);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
				case "minerals":
					new_price = Math.floor(80 + 32 + demand_mod + ((Math.random() * (10 - 1 + 1) - 5) * 3));
					shortage_factor = Math.floor(goodDefinition.quantity / 1.5);
					goodDefinition.price = new_price;
					goodDefinition.quantity = shortage_factor;
					break;
			}
		}
	}

	return goodDefinition;
}
